Index: src/Exceptions/CustomException.hpp
===================================================================
--- src/Exceptions/CustomException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/CustomException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef CUSTOMEXCEPTION_HPP_
 #define CUSTOMEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <exception>
Index: src/Exceptions/IllegalTypeException.hpp
===================================================================
--- src/Exceptions/IllegalTypeException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/IllegalTypeException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef ILLEGALTYPEEXCEPTION_HPP_
 #define ILLEGALTYPEEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/CustomException.hpp"
Index: src/Exceptions/LinearDependenceException.hpp
===================================================================
--- src/Exceptions/LinearDependenceException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/LinearDependenceException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef LINEARDEPENDENCEEXCEPTION_HPP_
 #define LINEARDEPENDENCEEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/MathException.hpp"
Index: src/Exceptions/MathException.hpp
===================================================================
--- src/Exceptions/MathException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/MathException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef MATHEXCEPTION_HPP_
 #define MATHEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/CustomException.hpp"
Index: src/Exceptions/MissingValueException.hpp
===================================================================
--- src/Exceptions/MissingValueException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/MissingValueException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef MISSINGVALUEEXCEPTION_HPP_
 #define MISSINGVALUEEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/CustomException.hpp"
Index: src/Exceptions/MultipleSolutionsException.hpp
===================================================================
--- src/Exceptions/MultipleSolutionsException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/MultipleSolutionsException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef INFINITESOLUTIONSEXCEPTION_HPP_
 #define INFINITESOLUTIONSEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "MathException.hpp"
Index: src/Exceptions/NotInvertibleException.hpp
===================================================================
--- src/Exceptions/NotInvertibleException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/NotInvertibleException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef NOTINVERTIBLEEXCEPTION_HPP_
 #define NOTINVERTIBLEEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/MathException.hpp"
Index: src/Exceptions/NotOnSurfaceException.hpp
===================================================================
--- src/Exceptions/NotOnSurfaceException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/NotOnSurfaceException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef NOTONSURFACEEXCEPTION_HPP_
 #define NOTONSURFACEEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/ShapeException.hpp"
Index: src/Exceptions/ParseError.hpp
===================================================================
--- src/Exceptions/ParseError.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/ParseError.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef PARSEERROR_HPP_
 #define PARSEERROR_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/CustomException.hpp"
Index: src/Exceptions/ShapeException.hpp
===================================================================
--- src/Exceptions/ShapeException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/ShapeException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef SHAPEEXCEPTION_HPP_
 #define SHAPEEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/CustomException.hpp"
Index: src/Exceptions/SkewException.hpp
===================================================================
--- src/Exceptions/SkewException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/SkewException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef SKEWEXCEPTION_HPP_
 #define SKEWEXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/MathException.hpp"
Index: src/Exceptions/ZeroVectorException.hpp
===================================================================
--- src/Exceptions/ZeroVectorException.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/Exceptions/ZeroVectorException.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef ZEROVECTOREXCEPTION_HPP_
 #define ZEROVECTOREXCEPTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include "Exceptions/MathException.hpp"
